#ifndef ENTRYVIEWPARAMETERS_H
#define ENTRYVIEWPARAMETERS_H

#include <QObject>

namespace FlyFM
{

class EntryViewParameters : public QObject
{
    Q_OBJECT
public:
    static EntryViewParameters *ptr();

    void setUseMetaInfoForDirNames(bool enable);
    bool useMetaInfoForDirNames() const;

    void setUseMetaInfoForDirIcons(bool enable);
    bool useMetaInfoForDirIcons() const;

    void setShowThumbnails(bool enable);
    bool showThumbnails() const;

    void setShownThumbnailGroups(const QStringList &groups);
    QStringList shownThumbnailGroups() const;

    void setMaxImageFileSizeToShowThumbnailMB(int size);
    int maxImageFileSizeToShowThumbnailMB() const;

signals:
    void useMetaInfoForDirsChanged();
    void showThumbnailsChanged();
    void shownThumbnailGroupsChanged();
    void maxImageFileSizeToShowThumbnailChanged();

private:
    EntryViewParameters(QObject *parent = nullptr);

    bool m_useMetaInfoForDirNames;
    bool m_useMetaInfoForDirIcons;
    bool m_showThumbnails;
    QStringList m_shownThumbnailGroups;
    int m_maxImageFileSizeToShowThumbnailMB;
};

} // namespace FlyFM

#endif // ENTRYVIEWPARAMETERS_H
